## pandoc 1.19.2.1.0

=== debian/changelog ===
pandoc (1.19.2.1.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fixes lang-Variable collision between pandoc-citeproc and Babel.
      Closes: Bug#870248. Thanks to Claus-Michael.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Add GHC for skylighting (replacing highlighting-kate).
    + Relax GHC upper bounds for aeson blaze-html blaze-markup vector.
  * Update copyright info: Extend coverage for main authors.
  * Drop patch 2003 (relax GHC upper bounds for directory): Relaxed
    upstream now.
  * Unfuzz patches.
  * Add patches cherry-picked upstream to use newer skylighting and
    mention skylighting (not highlighting-kate) in manpage.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Aug 2017 12:33:19 -0400

pandoc (1.19.2.1~dfsg+really1.19.1-1) unstable; urgency=medium

  * Revert to upstream release 1.19.1: Avoid broken skylighting.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Jul 2017 16:20:44 +0000

pandoc (1.19.2.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update package relations:
    + Add GHC for skylighting (replacing highlighting-kate).
    + Relax GHC upper bounds for aeson blaze-html blaze-markup vector.
  * Update copyright info:
    + Extend coverage for main authors.
  * Drop patch 2003: Upstream now relax GHC upper bounds for directory.
  * Unfuzz patches, and advertise DEP3 format.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Jul 2017 23:01:48 +0000

pandoc (1.19.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Add GHC for doctemplates.
    + Tighten GHC lower bounds for mtl.
    + Shift GHC bounds for texmath pandoc-types.
    + Drop GHC lower bounds for network-uri zip-archive tagsoup
      blaze-html yaml vector sha cmark http-types.
    + Drop GHC lower bounds for diff (but unused as testsuite skipped).
    + Relax to build-depend unversioned on haskell-devscripts.
    + Relax to suggest unversioned texlive-latex-extra: Needed versions
      satisfied even in oldsable.
    + Relax GHC upper bounds for aeson.
    + Relax GHC upper bounds for hunit (but unused as testsuite is
      skipped).
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update copyright info: Add and tidy some copyright holders.
  * Modernize cdbs:
    + Check copyright in maintainer script (not during build).
    + Stop build-Depend on licensecheck libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.
    + Relax to build-depend unversioned on cdbs.
  + Update patches:
    + Drop patch 2002: Upstream relaxed GHC lower bounds for http-client
      http-client-tls.
    + Unfuzz patches.
  * Install README.md.
  * Modernize Vcs-Browser field: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.0.0.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Jul 2017 20:12:57 +0200

pandoc (1.17.2~dfsg-4) unstable; urgency=medium

  * Team upload.
  * Bump directory bounds on buildds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Jun 2017 08:53:51 +0200
