## pandoc 1.19.2.4~dfsg

=== debian/changelog ===
pandoc (1.19.2.4~dfsg-1build4) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Jan 2018 13:52:22 +0100

pandoc (1.19.2.4~dfsg-1build3) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Dec 2017 22:53:53 +0100

pandoc (1.19.2.4~dfsg-1build2) bionic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Nov 2017 18:03:55 +0100

pandoc (1.19.2.4~dfsg-1build1) bionic; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 06 Nov 2017 21:41:31 -0800

pandoc (1.19.2.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fix build with GHC 8.2.1.
    + Add CPP to Setup.hs so it works with Cabal >= 2 and < 2.

  [ Jonas Smedegaard ]
  * Fix suggest context. Improve long description to mention its use.
  * Generate and install bash-completion snippet.
    Build-depend on bash-completion.
  * Declare compliance with Debian Policy 4.1.1.
  * Fix update README.Debian to cover current needs for suggested
    packages.
  * Tighten lintian overrides regarding License-Reference.
  * Enable testsuite.
  * Drop no longer relevant TODO notes.
  * Update package relations:
    + Fix relax GHC upper bounds for diff (as done upstream since 1.11).
    + Relax GHC upper bounds for syb aeson quickcheck2 hunit
      ansi-terminal.
    + Tighten GHC upper bounds for pandoc-types.
  * Refresh and extend patches.
  * Fix repackage upstream source, stripping LaTeXMathML.js:
    Accidentally released 1.19.2.1.0 without stripping.
  * Update copyright info: Use https protocol in file format URL.
  * Use https protocol in homepage URL.
  * Update watch file: Use substitution strings. Tighten dversionmangle.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Oct 2017 14:04:20 +0200
