=== debian/control ===
--- 
+++ 
@@ -26,9 +26,9 @@
  libghc-random-dev (<<1.2 ),
  libghc-extensible-exceptions-dev (<< 0.2),
  libghc-pandoc-types-dev (>= 1.17),
- libghc-pandoc-types-dev (<< 1.18),
+ libghc-pandoc-types-dev (<< 1.17.1),
  libghc-aeson-dev (>= 0.7.0.5),
- libghc-aeson-dev (<< 1.2),
+ libghc-aeson-dev (<< 1.3),
  libghc-tagsoup-dev (<< 0.15),
  libghc-base64-bytestring-dev (<< 1.1),
  libghc-zlib-dev (<< 0.7),
@@ -51,7 +51,14 @@
  libghc-http-client-dev (<< 0.6),
  libghc-http-client-tls-dev (<< 0.4),
  libghc-http-types-dev (<< 0.10),
- libghc-syb-dev (<< 0.7),
+ libghc-syb-dev (<< 0.8),
+ libghc-diff-dev (<< 0.4),
+ libghc-test-framework-dev (<< 0.9),
+ libghc-test-framework-hunit-dev (<< 0.4),
+ libghc-test-framework-quickcheck2-dev (<< 0.4),
+ libghc-quickcheck2-dev (<< 2.11),
+ libghc-hunit-dev (<< 1.7),
+ libghc-ansi-terminal-dev (<< 0.8),
  ghc-prof,
  libghc-unordered-containers-prof,
  libghc-parsec3-prof,
@@ -89,7 +96,8 @@
  libghc-http-client-tls-prof,
  libghc-http-types-prof,
  libghc-syb-prof,
- haskell-devscripts
+ haskell-devscripts,
+ bash-completion
 Build-Depends-Indep: ghc-doc
   , libghc-unordered-containers-doc
   , libghc-parsec3-doc
@@ -135,8 +143,8 @@
   , libghc-pcre-light-doc
   , libghc-transformers-doc
   , libghc-utf8-string-doc
-Standards-Version: 4.0.0
-Homepage: http://pandoc.org/
+Standards-Version: 4.1.1
+Homepage: https://pandoc.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/pandoc.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-haskell/pandoc.git
 
@@ -179,10 +187,12 @@
  This package contains the pandoc tool.
  .
  PDF output via PDFLaTeX requires the package texlive-latex-recommended.
-  * XeLaTeX additionally requires texlive-xetex
-  * LuaTeX additionally requires texlive-luatex
-  * content with YAML metadata additionally requires
+  * XeLaTeX additionally requires the package texlive-xetex.
+  * LuaTeX additionally requires the package texlive-luatex.
+  * content with YAML metadata additionally requires the package
     texlive-latex-extra.
+ .
+ PDF output via ConTeXt requires the package context.
  .
  PDF output via wkhtmltopdf requires the package wkhtmltopdf.
 
@@ -329,6 +339,3 @@
  and a set of writers,
  which convert this native representation into a target format.
  Thus,
- adding an input or output format requires only adding a reader or writer.
- .
- This package contains the profiling libraries for Pandoc.
