=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,8 @@
 ghc-deps += xml,<<,1.4
 ghc-deps += random,<<1.2
 ghc-deps += extensible-exceptions,<<,0.2
-ghc-deps += pandoc-types,>=,1.17,<<,1.18
-ghc-deps += aeson,>=,0.7.0.5,<<,1.2
+ghc-deps += pandoc-types,>=,1.17,<<,1.17.1
+ghc-deps += aeson,>=,0.7.0.5,<<,1.3
 ghc-deps += tagsoup,<<,0.15
 ghc-deps += base64-bytestring,<<,1.1
 ghc-deps += zlib,<<,0.7
@@ -64,17 +64,16 @@
 ghc-deps += http-client,<<,0.6
 ghc-deps += http-client-tls,<<,0.4
 ghc-deps += http-types,<<,0.10
-ghc-deps += syb,<<,0.7
+ghc-deps += syb,<<,0.8
 
 # Haskell dependencies for testsuite from pandoc.cabal
-ghc-deps-test += diff,<<,0.3
+ghc-deps-test += diff,<<,0.4
 ghc-deps-test += test-framework,<<,0.9
 ghc-deps-test += test-framework-hunit,<<,0.4
 ghc-deps-test += test-framework-quickcheck2,<<,0.4
-ghc-deps-test += quickcheck2,<<,2.10
-ghc-deps-test += hunit,<<,1.6
-ghc-deps-test += template-haskell,<<,2.9
-ghc-deps-test += ansi-terminal,<<,0.7
+ghc-deps-test += quickcheck2,<<,2.11
+ghc-deps-test += hunit,<<,1.7
+ghc-deps-test += ansi-terminal,<<,0.8
 
 # Haskell dependencies (maybe) needed for documentation
 # TODO: actually use these (not maintain Build-depends-indep by hand)
@@ -90,8 +89,7 @@
 # Needed by upstream build process
 CDBS_BUILD_DEPENDS +=, ghc, alex, happy
 CDBS_BUILD_DEPENDS += $(call expand-ghc-deps,dev,$(ghc-deps))
-# FIXME: enable, set DEB_ENABLE_TESTS = yes, and configure with -ftests
-#CDBS_BUILD_DEPENDS += $(call expand-ghc-deps,dev,$(ghc-deps-test))
+CDBS_BUILD_DEPENDS += $(call expand-ghc-deps,dev,$(ghc-deps-test))
 CDBS_BUILD_DEPENDS +=, ghc-prof
 CDBS_BUILD_DEPENDS +=, $(call strip-ghc-deps,prof,$(ghc-deps))
 CDBS_BUILD_DEPENDS_INDEP +=, ghc-doc
@@ -105,15 +103,11 @@
 #  texlive-* needed for PDF output
 # TODO: suggest slide show Javascript libraries when in Debian
 CDBS_SUGGESTS_$(pkg) = texlive-latex-recommended, texlive-xetex, texlive-luatex
-CDBS_SUGGESTS_$(pkg) +=, pandoc-citeproc, texlive-latex-extra, wkhtmltopdf
+CDBS_SUGGESTS_$(pkg) +=, pandoc-citeproc, texlive-latex-extra, context, wkhtmltopdf
 
 # Fix exception thrown building documentation:
 # haddock: internal error: <stdout>: commitBuffer: invalid argument (invalid character)
 export LANG=C.UTF-8
-
-DEB_INSTALL_DOCS_ALL += README.md
-
-DEB_INSTALL_MANPAGES_$(pkg) = man/pandoc.1
 
 # Use threaded RTS only when supported
 DEB_SETUP_GHC_CONFIGURE_ARGS += $(if $(wildcard /usr/lib/ghc-$(GHC_VERSION)/libHSrts_thr.a),,--flags=-threaded)
@@ -124,3 +118,19 @@
 ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel))
     DEB_SETUP_GHC_CONFIGURE_ARGS += --ghc-options="-optc--param -optcggc-min-expand=10"
 endif
+
+DEB_ENABLE_TESTS = yes
+DEB_SETUP_GHC_CONFIGURE_ARGS += $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,-ftests)
+
+DEB_INSTALL_DOCS_ALL += README.md
+
+DEB_INSTALL_MANPAGES_$(pkg) = man/pandoc.1
+
+CDBS_BUILD_DEPENDS +=, bash-completion
+post-install/$(pkg)::
+	debian/tmp-inst-*/usr/bin/pandoc --bash-completion \
+		> debian/pandoc.bash-completion
+binary-install/$(pkg)::
+	dh_bash-completion
+clean::
+	rm -f debian/pandoc.bash-completion
