=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="dversionmangle=s/~dfsg\d*//,repacksuffix=~dfsg" \
 https://hackage.haskell.org/package/@PACKAGE@/distro-monitor \
 .*@ANY_VERSION@@ARCHIVE_EXT@
